commit:     e7ad8ebc5303e436bfb5674e3f7c4bf70680ae89
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 20 07:34:46 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Jun 20 08:02:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7ad8ebc

app-text/rpl: version bump.

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-text/rpl/Manifest         |  1 +
 app-text/rpl/rpl-1.6.7.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/app-text/rpl/Manifest b/app-text/rpl/Manifest
index 22504e8ef82..9dcd937420c 100644
--- a/app-text/rpl/Manifest
+++ b/app-text/rpl/Manifest
@@ -1 +1,2 @@
 DIST rpl-1.5.5.tar.gz 11397 BLAKE2B 
29511d894a7b3e67cfdf4378902219acedb0a0b85c4a9c8aa879f9cede8ad57aeefd91b21ee79ac01b924a64b2f48248896f31ffb6934a4f79dda135114ebca9
 SHA512 
f43af366b8fc34b6c4578841f50046170810187119eb0730405a082f64d5c095fd9d28fabf1f0fda1dad85f24e98047df4d695b39b7ea5b99d32efc18634000f
+DIST rpl-1.6.7.tar.gz 21867 BLAKE2B 
ac523aa836312d6ed6db9eabaf9b6499ce00047ce1a4d35bf398f769036d65aa5b52c410b2110cf5bb14c31d782bc1c424bcd1b2a26692de28ca70fd452b18f1
 SHA512 
f853eae0ce0a82d864e72ecf3fd3f20fba10553357b23d0012ed22ee0efd57bbefea71095775f7215323d829057f6579aadfc006b6a893972e05039784dc5add

diff --git a/app-text/rpl/rpl-1.6.7.ebuild b/app-text/rpl/rpl-1.6.7.ebuild
new file mode 100644
index 00000000000..4524edb2859
--- /dev/null
+++ b/app-text/rpl/rpl-1.6.7.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_7,3_8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Intelligent recursive search/replace utility"
+HOMEPAGE="http://rpl.sourceforge.net/";
+SRC_URI="http://deb.debian.org/debian/pool/main/r/${PN}/${PN}_${PV}.orig.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~mips ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos 
~x86-macos"
+
+#python_prepare_all() {
+#      iconv -f latin1 -t utf8 -o setup.py.new setup.py || die
+#      mv setup.py.new setup.py || die
+#      distutils-r1_python_prepare_all
+#}
+#
+#python_install_all() {
+#      distutils-r1_python_install_all
+#      doman ${PN}.1
+#}

Reply via email to